/**
 * <copyright>
 * </copyright>
 *
 * $Id: ResourceValidator.java,v 1.2 2007-08-04 15:27:05 ffillion Exp $
 */
package org.openembedd.checker.modelConfig.validation;

import org.eclipse.emf.common.util.EList;
import org.openembedd.checker.modelConfig.Category;
import org.openembedd.checker.modelConfig.Configuration;
import org.openembedd.checker.modelConfig.EnumKindOfInclusion;
import org.openembedd.checker.modelConfig.Group;
import org.openembedd.checker.modelConfig.State;

/**
 * A sample validator interface for {@link org.openembedd.checker.modelConfig.Resource}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ResourceValidator {
	boolean validate();

	boolean validateOwner(Configuration value);
	boolean validateCategory(Category value);
	boolean validateProfil(EList<?> value);
	boolean validateState(State value);
	boolean validateNameWebFile(String value);
	boolean validateSiteURL(String value);
	boolean validateEntry(String value);
	boolean validateIsLocalFile(Boolean value);
	boolean validateTargetNameFile(String value);
	boolean validateTargetPathFile(String value);
	boolean validateIsLocalLicense(Boolean value);
	boolean validateLicenseName(String value);
	boolean validateLicenseURL(String value);
	boolean validateLicensePathFile(String value);
	boolean validateGroup(Group value);
	boolean validateDescription(String value);
	boolean validateRequired(EList<?> value);
	boolean validateRequire(EList<?> value);
	boolean validateIsVisible(Boolean value);
	boolean validateIncludesIn(EnumKindOfInclusion value);
	boolean validateJavaVMVersion(String value);
}
